Skip to main content
GET
/
api
/
consumer
/
{version}
/
referrer
/
search
Find a friend
curl --request GET \
  --url https://mention-me.com/api/consumer/{version}/referrer/search
{
  "referrer": {
    "referrerMentionMeIdentifier": 123,
    "referrerToken": "<string>",
    "referrerOfferIdentifier": 123,
    "offer": {
      "id": 123,
      "localeCode": "<string>",
      "headline": "<string>",
      "description": "<string>",
      "callToAction": "<string>",
      "privacyNotice": "<string>",
      "privacyLink": "<string>",
      "referrerReward": {
        "description": "<string>",
        "summary": "<string>",
        "amount": "<string>"
      },
      "refereeReward": {
        "description": "<string>",
        "summary": "<string>",
        "amount": "<string>"
      }
    }
  },
  "foundMultipleReferrers": true,
  "links": [
    {
      "relationship": "content-collection",
      "resource": [
        {
          "key": "<string>",
          "content": "<string>"
        }
      ]
    }
  ],
  "termsLinks": {
    "localeCode": "<string>",
    "linkToTermsInLocale": "<string>"
  },
  "meta": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
enum<string>
required

Version

Available options:
v2,
v1
Pattern: v2|v1

Query Parameters

name
string
required

Name of a referrer to search for (entered by the new customer)

email
string

Optionally ask the new customer to qualify the name with an email address belonging to the referrer. We typically ask for a Name first and then if no matches found, offer Name + Email address.

request[partnerCode]
string
required

Your partner code, used to link to your users and offers

request[situation]
string
required

Situation - a string representing where in the application you are making this request

request[ipAddress]
string

IP address of the customer connection. If you're making a request on behalf of a customer, pass their IP address here. If the customer will connect directly, leave this empty and we will retrieve this from their request.

request[localeCode]
string
required

Locale code - ISO standard locale code (e.g. en_GB) for the locale you expect the content to be in

request[userDeviceIdentifier]
string

User Device Identifier should be a unique reference to this combination of app + user.

request[deviceType]
string

Device type - your description of the device the user is using. We use this for performance and conversion optimisation.

request[appName]
string

Your application name. Used for reporting.

request[appVersion]
string

Your application version reference. Used for reporting and troubleshooting.

Response

Returned when successful

referrer
The primary payload of the response, assuming we found the referrer successfully. If we didn't this will be empty. · object
foundMultipleReferrers
boolean
meta
This is used to hold a meta status code which is then used to pass a response back to the actual response later. · object
Last modified on March 31, 2026